
.product-images {
  width: 100%;
  position: relative;
  display: flex;
  flex-wrap: wrap;

  > .slider-thumbs .swiper-slide {
    height: fit-content;
    border: 1px solid var(--gray-2);
    overflow: hidden;
    transition: opacity 0.2s, border-color 0.1s;
    cursor: pointer;

    &.swiper-slide-thumb-active {
      border-color: var(--gray-4);
    }
  }

  > .slider-thumbs .image {
    pointer-events: none;

    &::after {
      padding-bottom: var(--product-image-height);
    }

    img {
      pointer-events: none;
    }
  }

  > .main-slider {
    width: 100%;
  }

  // Label do zoom
  > .main-slider.swiper-initialized::after {
    content: "Toque duas vezes para zoom";
    position: absolute;
    z-index: 5;
    top: 1.6rem;
    left: 50%;
    transform: translateX(-50%);
    display: inline-block;
    padding: 0.5rem 1.5rem;
    border-radius: 2px;
    background-color: var(--gray-3);
    opacity: 0.8;
    font-size: 1rem;
    color: var(--white);
    white-space: nowrap;

    @include media("md") {
      content: "Clique duas vezes para zoom";
    }
  }

  > .main-slider.swiper-initialized.-single-click::after {
    @include media("md") {
      content: "Clique para dar zoom";
    }
  }

  // Texto do label quando está definido como zoom no hover
  > .main-slider.-hover-zoom {
    &::after {
      @include media("md") {
        content: "Passe o mouse para zoom";
      }
    }

    .swiper-slide.-zoomed {
      cursor: zoom-in !important;
    }
  }

  > .main-slider .swiper-slide {
    cursor: zoom-in;
    overflow: hidden;
    &.-zoomed {
      cursor: zoom-out;
      .image {
        transition: transform 0.05s linear !important;
      }
    }
  }

  > .main-slider .image img {
    object-fit: cover !important;
  }

  // Garante funcionamento do zoom, e ajusta proporção
  > .main-slider .swiper-slide .image,
  > .main-slider .swiper-slide .video {
    overflow: unset;

    &::after {
      padding-bottom: var(--product-image-height);
    }
  }

  // Slides inativos/escondidos conforme troca de SKU
  > .slider-thumbs .swiper-slide,
  > .main-slider .swiper-slide {
    &.-inactive {
      display: none;
    }
  }

  > .slider-thumbs {
    width: 60%;
    max-width: 31rem;
    height: auto;
    position: absolute;
    bottom: 4rem;
    left: 50%;
    transform: translateX(-50%);
    display: none;

    @include media("md") {
      display: block;
      z-index: 5;
    }
  }

  > .slider-thumbs:not(.swiper-initialized) .swiper-slide {
    width: calc((100% / 4) - 1.6rem);
    margin-right: 1.6rem;
  }

  > .swiper-pagination {
    position: static !important;
    min-height: 1.4rem;
    width: 90% !important;
    margin: 2.4rem auto 0 !important;

    @include media("md") {
      display: none;
    }
  }
}
